import request from '@/utils/request'

// 查询模板页管理列表
export function listTemplatePage(query) {
  return request({
    url: '/hnyz/templatePage/list',
    method: 'get',
    params: query
  })
}

// 查询模板页管理详细
export function getTemplatePage(pageId) {
  return request({
    url: '/hnyz/templatePage/' + pageId,
    method: 'get'
  })
}

// 新增模板页管理
export function addTemplatePage(data) {
  return request({
    url: '/hnyz/templatePage',
    method: 'post',
    data: data
  })
}

// 修改模板页管理
export function updateTemplatePage(data) {
  return request({
    url: '/hnyz/templatePage',
    method: 'put',
    data: data
  })
}

// 删除模板页管理
export function delTemplatePage(pageId) {
  return request({
    url: '/hnyz/templatePage/' + pageId,
    method: 'delete'
  })
}

//修改模板页状态
export function changeStatus(pageId,status) {
  return request({
    url: '/hnyz/templatePage/changeStatus',
    method: 'put',
    data: {
      pageId:pageId,
      status:status
    }
  })
}

//获取模板页列表，用于模板页选择
export function getTemplatePageList() {
  return request({
    url: '/hnyz/templatePage/listForSelect',
    method: 'get'
  })
}